Uncommented Bytes

Tuesday, June 29, 2004

What happened to Eclipse?

I've been using the latest 3.0 release of Eclipse for a full day now, and I have to cry out "What happened?". I've been using 2.1.x for many many months now, without so much as a hiccup. However 3.0 has been causing me problems all day. I love the new look, and I love many of the new features (Ant finally works for me!). But it's so slow, even on my beefed up dev box, and it has locked up repeatedly. I'm about a half day away from switching back to my *thankfully* backed up 2.1.3. Well, back to the trusty task manager to kill and restart my instance again... I should have just waited until the first or second maintenance release...

5 Comments:

  • Perhaps they should consider using Swing instead of SWT, then maybe it wouldn't be so slow. :-)

    By Anonymous Anonymous, at 29 June, 2004 17:10  

  • I've been using Eclipse 3.0 in various incarnations for months now, and while it's not always speedy, it doesn't strike me as being markedly slower than 2.1.X. Certainly full-out lock-ups have basically not happened for me even back as far as M3.

    So I'm not sure what to tell you - other than the fact that it doesn't match my experience.

    By Anonymous Anonymous, at 29 June, 2004 22:27  

  • I've no such problem. I did have a problem before though, after not cleaning out the project properties of the workspace and the project itself, after migrating to 3. Try deleting the workspace settings (.metadata in workspace). and the project settings (.settings in your project directory) and then restarting.

    By Anonymous Anonymous, at 30 June, 2004 02:26  

  • I like what I've read about Eclipse 3.0 in the help. There are some cool shortcuts I want to put in my long term memory (since my short term memory is shot) so I can save time while developing.

    It's working OK for me. I thought Eclipse 3.0 was at fault this morning while I was trying to work at Moscone but it turns out to be IE! Something about Struts validator (and also JCIFS) that is not working in my Struts app when I am on my VPN connection. Or the combination of IE and my VPN.

    So, I fired up Firefox and the validator stuff started working fine. What gives? Damn I hate Microsoft.

    sorry..not directly related to Eclipse necessary but I use Eclipse and it was nice to know it was not at fault. I too kept 2.1.x around just in case :-)

    Kevin

    http://www.livejournal.com/users/mrjabba/

    By Anonymous Anonymous, at 30 June, 2004 05:10  

  • I have been into eclipse since version 2 and all subversions to eclipse 3.1.1 including web-tools-project's combined installation. On the same machine I have all instances from 2.1.3 to 3.1.1 and every time I open up the same project in all of these instances the performance got worser with all new releases - albeit features got better. So finally I have come to decision- what is the use of a feature if I cant use it efficiently. No one doesnt wanna wait for 5 minutes to open a existing java file. Similarly, I know this is bad design decision, to open a Java file of 20000 lines is impossible. What can I do about the Java file, I have'nt coded that one but am using it while debugging.

    How nice it would have been have new features of 3.1.1 and performance of old 2.1.3!!!

    At the same time was also Netbeans on the same projects from 3.4 until 5 beta.. Atleast here the performance is better.

    mohan.

    By Anonymous Anonymous, at 31 January, 2006 08:54  

Post a Comment

Links to this post:

Create a Link

<< Home